=== modified file 'bzrlib/graph.py'
--- bzrlib/graph.py	2008-12-11 16:25:46 +0000
+++ bzrlib/graph.py	2008-12-12 01:17:04 +0000
@@ -24,7 +24,6 @@
     trace,
     tsort,
     )
-from bzrlib.deprecated_graph import (node_distances, select_farthest)
 
 STEP_UNIQUE_SEARCHER_EVERY = 5
 
@@ -109,14 +108,13 @@
 
     The cache is enabled by default, but may be disabled and re-enabled.
     """
-    def __init__(self, parent_provider=None, get_parent_map=None, debug=False):
+    def __init__(self, parent_provider=None, get_parent_map=None):
         """Constructor.
 
         :param parent_provider: The ParentProvider to use.  It or
             get_parent_map must be supplied.
         :param get_parent_map: The get_parent_map callback to use.  It or
             parent_provider must be supplied.
-        :param debug: If true, mutter debugging messages.
         """
         self._real_provider = parent_provider
         if get_parent_map is None:
@@ -125,9 +123,6 @@
             self._get_parent_map = get_parent_map
         self._cache = {}
         self._cache_misses = True
-        self._debug = debug
-        if self._debug:
-            self._requested_parents = None
 
     def __repr__(self):
         return "%s(%r)" % (self.__class__.__name__, self._real_provider)
@@ -138,14 +133,10 @@
             raise AssertionError('Cache enabled when already enabled.')
         self._cache = {}
         self._cache_misses = cache_misses
-        if self._debug:
-            self._requested_parents = set()
 
     def disable_cache(self):
         """Disable and clear the cache."""
         self._cache = None
-        if self._debug:
-            self._requested_parents = None
 
     def get_cached_map(self):
         """Return any cached get_parent_map values."""
@@ -166,10 +157,6 @@
             missing_revisions = set(key for key in keys if key not in ancestry)
         if missing_revisions:
             parent_map = self._get_parent_map(missing_revisions)
-            if self._debug:
-                mutter('re-retrieved revisions: %d of %d',
-                        len(set(ancestry).intersection(parent_map)),
-                        len(parent_map))
             ancestry.update(parent_map)
             if self._cache_misses:
                 # None is never a valid parents list, so it can be used to
@@ -177,11 +164,6 @@
                 ancestry.update(dict((k, None) for k in missing_revisions
                                      if k not in parent_map))
         present_keys = [k for k in keys if ancestry.get(k) is not None]
-        if self._debug:
-            if self._requested_parents is not None and len(ancestry) != 0:
-                self._requested_parents.update(present_keys)
-                mutter('Current hit rate: %d%%',
-                    100.0 * len(self._requested_parents) / len(ancestry))
         return dict((k, ancestry[k]) for k in present_keys)
 
 

=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2008-12-10 20:31:13 +0000
+++ bzrlib/remote.py	2008-12-12 01:17:04 +0000
@@ -319,9 +319,8 @@
         self._lock_token = None
         self._lock_count = 0
         self._leave_lock = False
-        debug_cache = ('hpss' in debug.debug_flags)
         self._unstacked_provider = graph.CachingParentsProvider(
-            get_parent_map=self._get_parent_map_rpc, debug=debug_cache)
+            get_parent_map=self._get_parent_map_rpc)
         self._unstacked_provider.disable_cache()
         # For tests:
         # These depend on the actual remote format, so force them off for

